title interstellar cloud irradiated by ism background
c this model has no heavy element molecules, because H2 does not
c really fully form, since Lyman bands are not self-shielded
punch dr "ism.dr"
punch recombination efficiencies "ism.rec"
punch hydrogen ionization "ism.hion"
init file="ism.ini"
normalize to 157 "C  2"
table ism
extinguish by a column of 22
cosmic rays, background
hden 0
abundances hii region no grains; this turns on Orion abundances
grains ism ;this over rides above default, forcing ism grains
sphere ;set sphere since matter in all directions
stop temperature linear 10
stop thickness 0.1 linear parsecs
case b
iterate
print last
print line pump
punch asserts "ism.asr" last
punch overview "ism.ovr" last
* 99jun 25 most results changed by 10% when small change in
* background cr rate due to new McKee paper
assert temperature hydrogen 1 154
assert line "Si 2"  348 0.0208
assert line "O  1"  145 0.0019
assert line "O  1"  631 0.0597
assert line "GrGH"    0 1.08 //this is total grain photo heating
assert line "GraT"    0 1063 //this is total grain emission
assert grain temperature 1 19.72 graphite
assert grain temperature 2 15.95 silicate
assert nzone < 60
assert itrzn < 4
* these lines are all excited by direct continuum pumping,
* and so may be sensitive to precise zoning if zones are too big
// chng 99 dec 08 from 15.7 to 14.9 due to change in dr to go from 1/50 to 1/10
// number of zones went from 50 to 10
assert line "N  1" 1200 14.861
assert line "Si 2" 1527 2.056
// chng 99 dec 08, see above from 5.2 to 4.9
assert line "Fe 2" 1787 4.862 
assert line "Fe 2" 2400 2.089
c ism.in
